From fcd8daab17e3437adc45a8dd81d0290f46cb1a82 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@gmail.com>
Date: Jul 23 2024 01:45:09 +0000
Subject: [PATCH 219/220] fix: use desktop-file-validate now that upstream recognizes 'COSMIC'


Signed-off-by: Ryan Brue <ryanbrue@gmail.com>

---

diff --git a/rpms/cosmic-app-library/cosmic-app-library.spec b/rpms/cosmic-app-library/cosmic-app-library.spec
index 75caf70..bbd83ef 100644
--- a/rpms/cosmic-app-library/cosmic-app-library.spec
+++ b/rpms/cosmic-app-library/cosmic-app-library.spec
@@ -101,7 +101,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
-# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicAppLibrary.desktop
+desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppLibrary.desktop
 %endif
 
 %files
diff --git a/rpms/cosmic-applets/cosmic-applets.spec b/rpms/cosmic-applets/cosmic-applets.spec
index 06c4173..f2d29f9 100644
--- a/rpms/cosmic-applets/cosmic-applets.spec
+++ b/rpms/cosmic-applets/cosmic-applets.spec
@@ -110,22 +110,22 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
-# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicAppList.desktop
-# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicAppletAudio.desktop
-# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicAppletBattery.desktop
-# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicAppletBluetooth.desktop
-# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicAppletInputSources.desktop
-# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicAppletMinimize.desktop
-# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicAppletNetwork.desktop
-# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicAppletNotifications.desktop
-# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicAppletPower.desktop
-# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicAppletStatusArea.desktop
-# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicAppletTiling.desktop
-# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicAppletTime.desktop
-# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicAppletWorkspaces.desktop
-# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicPanelAppButton.desktop
-# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicPanelWorkspacesButton.desktop
-# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicPanelLauncherButton.desktop
+desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppList.desktop
+desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppletAudio.desktop
+desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppletBattery.desktop
+desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppletBluetooth.desktop
+desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppletInputSources.desktop
+desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppletMinimize.desktop
+desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppletNetwork.desktop
+desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppletNotifications.desktop
+desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppletPower.desktop
+desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppletStatusArea.desktop
+desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppletTiling.desktop
+desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppletTime.desktop
+desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppletWorkspaces.desktop
+desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicPanelAppButton.desktop
+desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicPanelWorkspacesButton.desktop
+desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicPanelLauncherButton.desktop
 %endif
 
 %files
diff --git a/rpms/cosmic-bg/cosmic-bg.spec b/rpms/cosmic-bg/cosmic-bg.spec
index 1680a4c..dd74cb5 100644
--- a/rpms/cosmic-bg/cosmic-bg.spec
+++ b/rpms/cosmic-bg/cosmic-bg.spec
@@ -93,7 +93,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
-# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicBackground.desktop
+desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicBackground.desktop
 %endif
 
 %files
diff --git a/rpms/cosmic-edit/cosmic-edit.spec b/rpms/cosmic-edit/cosmic-edit.spec
index a079332..d392ea9 100644
--- a/rpms/cosmic-edit/cosmic-edit.spec
+++ b/rpms/cosmic-edit/cosmic-edit.spec
@@ -104,7 +104,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
-# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicEdit.desktop
+desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicEdit.desktop
 %endif
 
 %files
diff --git a/rpms/cosmic-files/cosmic-files.spec b/rpms/cosmic-files/cosmic-files.spec
index a8941b4..fb89507 100644
--- a/rpms/cosmic-files/cosmic-files.spec
+++ b/rpms/cosmic-files/cosmic-files.spec
@@ -106,7 +106,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 # %%cargo_test (Broken at the moment)
-# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicFiles.desktop
+desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicFiles.desktop
 %endif
 
 %files
diff --git a/rpms/cosmic-launcher/cosmic-launcher.spec b/rpms/cosmic-launcher/cosmic-launcher.spec
index fecac4a..c3ff9c2 100644
--- a/rpms/cosmic-launcher/cosmic-launcher.spec
+++ b/rpms/cosmic-launcher/cosmic-launcher.spec
@@ -106,7 +106,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
-# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicLauncher.desktop
+desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicLauncher.desktop
 %endif
 
 %files
diff --git a/rpms/cosmic-notifications/cosmic-notifications.spec b/rpms/cosmic-notifications/cosmic-notifications.spec
index 5c1e028..21ba8d9 100644
--- a/rpms/cosmic-notifications/cosmic-notifications.spec
+++ b/rpms/cosmic-notifications/cosmic-notifications.spec
@@ -100,7 +100,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
-# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicNotifications.desktop
+desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicNotifications.desktop
 %endif
 
 %files
diff --git a/rpms/cosmic-screenshot/cosmic-screenshot.spec b/rpms/cosmic-screenshot/cosmic-screenshot.spec
index 96155d5..b605b21 100644
--- a/rpms/cosmic-screenshot/cosmic-screenshot.spec
+++ b/rpms/cosmic-screenshot/cosmic-screenshot.spec
@@ -89,7 +89,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
-# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicScreenshot.desktop
+desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicScreenshot.desktop
 %endif
 
 %files
diff --git a/rpms/cosmic-session/cosmic-session.spec b/rpms/cosmic-session/cosmic-session.spec
index 06b4151..1e7775e 100644
--- a/rpms/cosmic-session/cosmic-session.spec
+++ b/rpms/cosmic-session/cosmic-session.spec
@@ -113,7 +113,7 @@ just rootdir=%{buildroot} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
-# desktop-file-validate %%{buildroot}%%{_datadir}/wayland-sessions/cosmic.desktop
+desktop-file-validate %{buildroot}%{_datadir}/wayland-sessions/cosmic.desktop
 %endif
 
 %files
diff --git a/rpms/cosmic-settings/cosmic-settings.spec b/rpms/cosmic-settings/cosmic-settings.spec
index 4ff2dd4..a968133 100644
--- a/rpms/cosmic-settings/cosmic-settings.spec
+++ b/rpms/cosmic-settings/cosmic-settings.spec
@@ -107,7 +107,7 @@ just rootdir=%{buildroot} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
-# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicSettings.desktop
+desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicSettings.desktop
 %endif
 
 %files
diff --git a/rpms/cosmic-store/cosmic-store.spec b/rpms/cosmic-store/cosmic-store.spec
index 229a27b..ba138e9 100644
--- a/rpms/cosmic-store/cosmic-store.spec
+++ b/rpms/cosmic-store/cosmic-store.spec
@@ -106,7 +106,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
-# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicStore.desktop
+desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicStore.desktop
 %endif
 
 %files
diff --git a/rpms/cosmic-term/cosmic-term.spec b/rpms/cosmic-term/cosmic-term.spec
index 9e4ccb3..72c8220 100644
--- a/rpms/cosmic-term/cosmic-term.spec
+++ b/rpms/cosmic-term/cosmic-term.spec
@@ -103,7 +103,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
-# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicTerm.desktop
+desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicTerm.desktop
 %endif
 
 %files
diff --git a/rpms/cosmic-workspaces/cosmic-workspaces.spec b/rpms/cosmic-workspaces/cosmic-workspaces.spec
index f3753ae..f9fb99a 100644
--- a/rpms/cosmic-workspaces/cosmic-workspaces.spec
+++ b/rpms/cosmic-workspaces/cosmic-workspaces.spec
@@ -109,7 +109,7 @@ make install DESTDIR=%{buildroot} prefix=%{_prefix}
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
-# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicWorkspaces.desktop
+desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicWorkspaces.desktop
 %endif
 
 %files

